Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 10774)
@@ -281,4 +281,5 @@
                      & sd(jf)%nrec_b(1), sd(jf)%nrec_a(1), REAL(sd(jf)%nrec_b(2),wp)/rday, REAL(sd(jf)%nrec_a(2),wp)/rday
                   WRITE(numout, *) 'it_offset is : ',it_offset
+                  IF(lflush) CALL flush(numout)
                ENDIF
                ! temporal interpolation weights
@@ -293,4 +294,5 @@
                   WRITE(numout, clfmt) TRIM(sd(jf)%clvar), kt, REAL(isecsbc,wp)/rday, nyear, nmonth, nday,    &
                      &                 sd(jf)%nrec_a(1), REAL(sd(jf)%nrec_b(2),wp)/rday, REAL(sd(jf)%nrec_a(2),wp)/rday
+                  IF(lflush) CALL flush(numout)
                ENDIF
             ENDIF
@@ -414,5 +416,7 @@
 
          clfmt = "('fld_init : time-interpolation for ', a, ' read previous record = ', i6, ' at time = ', f7.2, ' days')"
-         IF(lwp .AND. nprint > 0) WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
+         ENDIF
 
       ENDIF
@@ -708,4 +712,5 @@
       IF(lwp) WRITE(numout,*) 'Dim size for ',TRIM(clvar),' is ', ilendta
       IF(lwp) WRITE(numout,*) 'Number of levels for ',TRIM(clvar),' is ', ipk
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       SELECT CASE( ipk )
@@ -779,6 +784,9 @@
                      END DO
                      sd(ju)%rotn(jn) = .TRUE.               ! vector was rotated 
-                     IF( lwp .AND. kt == nit000 )   WRITE(numout,*)   &
+                     IF( lwp .AND. kt == nit000 )   THEN
+                       WRITE(numout,*)   &
                         &   'fld_read: vector pair ('//TRIM(sd(ju)%clvar)//', '//TRIM(sd(iv)%clvar)//') rotated on to model grid'
+                        IF(lflush) CALL flush(numout)
+                     ENDIF
                   ENDIF
                ENDIF
@@ -941,6 +949,6 @@
                &                          ' data type: '      ,       sdf(jf)%cltype      ,   &
                &                          ' land/sea mask:'   , TRIM( sdf(jf)%lsmname    )
-            IF(nprint > 4) call flush(numout)
          END DO
+         IF(lflush) CALL flush(numout)
       ENDIF
       
@@ -1019,4 +1027,7 @@
             ENDIF
          END DO
+ 
+        IF(lflush) CALL flush(numout)
+
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 10774)
@@ -99,4 +99,5 @@
             WRITE(numout,*) '   Namelist namsbc_apr : Atmospheric PRessure as extrenal forcing'
             WRITE(numout,*) '      ref. pressure: global mean Patm (T) or a constant (F)  ln_ref_apr = ', ln_ref_apr
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
@@ -114,4 +115,7 @@
             IF(lwp) WRITE(numout,*) '         Inverse barometer added to OBC ssh data'
          ENDIF
+         
+         IF(lwp .AND. lflush) CALL flush(numout)
+
          IF( ( ln_apr_obc ) .AND. .NOT. lk_dynspg_ts )   &
             CALL ctl_stop( 'sbc_apr: use inverse barometer ssh at open boundary ONLY possible with time-splitting' )
@@ -152,4 +156,7 @@
             ssh_ibb(:,:) = ssh_ib(:,:)
          ENDIF
+  
+         IF(lwp .AND. lflush) CALL flush(numout)
+
       ENDIF
       !                                         ! ---------------------------------------- !
@@ -159,4 +166,5 @@
          IF(lwp) WRITE(numout,*) 'sbc_apr : ssh_ib written in ocean restart file at it= ', kt,' date= ', ndastp
          IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF(nn_timing == 2)  CALL timing_start('iom_rstput')
          CALL iom_rstput( kt, nitrst, numrow, 'ssh_ibb' , ssh_ib )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10774)
@@ -331,4 +331,5 @@
       ENDIF
 
+      IF(lwp .AND. lflush) CALL flush(numout)
       !                                   ! allocate sbccpl arrays
       !IF( sbc_cpl_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'sbc_cpl_alloc : unable to allocate arrays' )
@@ -480,4 +481,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '   runoffs received from oasis -> force ln_rnf = ', ln_rnf
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
@@ -630,4 +632,5 @@
             WRITE(numout,*)'                  wind stress module'
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -677,4 +680,5 @@
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -907,4 +911,5 @@
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -947,4 +952,5 @@
             WRITE(numout,*)'                  wind stress U,V components'
             WRITE(numout,*)'                  wind stress module'
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -1471,4 +1477,5 @@
          IF(lwp) WRITE(numout,*) 'Greenland icesheet mass rate of change (kg/s) is ', greenland_icesheet_mass_rate_of_change
          IF(lwp) WRITE(numout,*) 'Greenland icesheet seconds lapsed since last change is ', greenland_icesheet_timelapsed
+         IF(lwp .AND. lflush) CALL flush(numout)
       ELSE IF ( nn_coupled_iceshelf_fluxes == 2 ) THEN
          greenland_icesheet_mass_rate_of_change = rn_greenland_total_fw_flux
@@ -1518,4 +1525,5 @@
          IF(lwp) WRITE(numout,*) 'Antarctica icesheet mass rate of change (kg/s) is ', antarctica_icesheet_mass_rate_of_change
          IF(lwp) WRITE(numout,*) 'Antarctica icesheet seconds lapsed since last change is ', antarctica_icesheet_timelapsed
+         IF(lwp .AND. lflush) CALL flush(numout)
       ELSE IF ( nn_coupled_iceshelf_fluxes == 2 ) THEN
          antarctica_icesheet_mass_rate_of_change = rn_antarctica_total_fw_flux
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 10774)
@@ -99,4 +99,5 @@
             WRITE(numout,*) '~~~~~~~'
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
          ! allocate sbcdcy arrays
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 10774)
@@ -159,5 +159,5 @@
          CALL lbc_lnk( taum(:,:), 'T', 1. )   ;   CALL lbc_lnk( wndm(:,:), 'T', 1. )
 
-         IF( nitend-nit000 <= 100 .AND. lwp ) THEN                ! control print (if less than 100 time-step asked)
+         IF( nprint > 2 .AND. lwp ) THEN                ! control print (if less than 100 time-step asked)
             WRITE(numout,*) 
             WRITE(numout,*) '        read daily momentum, heat and freshwater fluxes OK'
@@ -170,5 +170,5 @@
                CALL prihre( sf(jf)%fnow, jpi, jpj, 1, jpi, 20, 1, jpj, 10, zfact, numout )
             END DO
-            CALL FLUSH(numout)
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 10774)
@@ -86,4 +86,5 @@
             IF( kn_fwb == 2 )   WRITE(numout,*) '          adjusted from previous year budget'
             IF( kn_fwb == 3 )   WRITE(numout,*) '          fwf set to zero and spread out over erp area'
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
@@ -127,4 +128,5 @@
             IF(lwp)WRITE(numout,*)'          year = ',iyear-1, ' freshwater budget read       = ', a_fwb
             IF(lwp)WRITE(numout,*)'          year = ',iyear-2, ' freshwater budget read       = ', a_fwb_b
+            IF(lwp .AND. lflush) CALL flush(numout)
          ENDIF   
          !                                         ! Update fwfold if new year start
@@ -201,4 +203,5 @@
                WRITE(numout,*)'   MIN(zerp_cor) = ', MINVAL(zerp_cor) 
                WRITE(numout,*)'   MAX(zerp_cor) = ', MAXVAL(zerp_cor) 
+               IF(lflush) CALL flush(numout)
             ENDIF
          ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 10774)
@@ -182,5 +182,8 @@
       CALL wrk_alloc( jpi,jpj, ztmp1, ztmp2 )
       !
-      IF(lwp .AND. nprint>1) WRITE(numout,*)'cice_sbc_init'
+      IF(lwp .AND. nprint>1) THEN
+        WRITE(numout,*)'cice_sbc_init'
+        IF(lflush) CALL flush(numout)
+      ENDIF
 
       ji_off = INT ( (jpiglo - nx_global) / 2 )
@@ -342,5 +345,8 @@
 
       IF( kt == nit000 )  THEN
-         IF(lwp .AND. nprint>1) WRITE(numout,*)'cice_sbc_in'
+         IF(lwp .AND. nprint>1) THEN
+           WRITE(numout,*)'cice_sbc_in'
+           IF(lflush) CALL flush(numout)
+         ENDIF
       ENDIF
 
@@ -583,5 +589,8 @@
       
       IF( kt == nit000 )  THEN
-         IF(lwp .AND. nprint>1) WRITE(numout,*)'cice_sbc_out'
+         IF(lwp .AND. nprint>1) THEN
+           WRITE(numout,*)'cice_sbc_out'
+           IF(lflush) CALL flush(numout)
+         ENDIF
       ENDIF
       
@@ -820,5 +829,8 @@
       !!---------------------------------------------------------------------
 
-      IF(lwp .AND. nprint > 1) WRITE(numout,*)'cice_sbc_final'
+      IF(lwp .AND. nprint > 1) THEN
+        WRITE(numout,*)'cice_sbc_final'
+        IF(lflush) CALL flush(numout)
+      ENDIF
 
       CALL CICE_Finalize
@@ -943,5 +955,5 @@
          WRITE(numout,*) 
          WRITE(numout,*) '        read forcing fluxes for CICE OK'
-         CALL FLUSH(numout)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 10774)
@@ -124,4 +124,5 @@
          IF ( lwp ) WRITE(numout,*) '        nn_gammablk = ', nn_gammablk 
          IF ( lwp ) WRITE(numout,*) '        rn_tfri2    = ', rn_tfri2 
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF (ln_divisf) THEN       ! keep it in the namelist ??? used true anyway as for runoff ? (PM)
             rdivisf = 1._wp
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 10774)
@@ -99,4 +99,5 @@
          WRITE(numout,*) 'sbc_init : surface boundary condition setting'
          WRITE(numout,*) '~~~~~~~~ '
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -160,4 +161,6 @@
       END SELECT
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       IF ( nn_components /= jp_iam_nemo .AND. .NOT. lk_oasis )   &
          &      CALL ctl_stop( 'STOP', 'sbc_init : OPA-SAS coupled via OASIS, but key_oasis3 disabled' )
@@ -264,4 +267,5 @@
          IF( nn_components/= jp_iam_nemo )  &
             &                       WRITE(numout,*) '              + OASIS coupled SAS'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -283,4 +287,5 @@
             WRITE(numout,*)"   OPA-SAS coupled via OASIS : nn_fsbc re-defined from OASIS namcouple ", nn_fsbc
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -421,5 +426,8 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'utau_b', ldstop = .FALSE. ) > 0 ) THEN 
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+               IF(lflush) CALL flush(numout)
+            ENDIF
             IF(nn_timing == 2)  CALL timing_start('iom_rstget')
             CALL iom_get( numror, jpdom_autoglo, 'utau_b', utau_b )   ! before i-stress  (U-point)
@@ -453,4 +461,5 @@
             &                    'at it= ', kt,' date= ', ndastp
             WRITE(numout,*) '~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
          IF(nn_timing == 2)  CALL timing_start('iom_rstput')
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 10774)
@@ -159,4 +159,7 @@
             rnf_tsc_b(:,:,:) = rnf_tsc(:,:,:)
          ENDIF
+ 
+         IF(lwp .AND. lflush) CALL flush(numout)
+
       ENDIF
       !                                                ! ---------------------------------------- !
@@ -168,4 +171,5 @@
             &                    'at it= ', kt,' date= ', ndastp
             WRITE(numout,*) '~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
          IF(nn_timing == 2)  CALL timing_start('iom_rstput')
@@ -296,4 +300,5 @@
          WRITE(numout,*) '      depth of river mouth additional mixing     rn_hrnf      = ', rn_hrnf
          WRITE(numout,*) '      multiplicative factor for runoff           rn_rfact     = ', rn_rfact
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                                   ! ==================
@@ -305,4 +310,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          runoffs inflow read in a file'
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF( ierror > 0 ) THEN
             CALL ctl_stop( 'sbc_rnf: unable to allocate sf_rnf structure' )   ;   RETURN
@@ -316,4 +322,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          runoffs temperatures read in a file'
+         IF(lwp .AND. lflush) CALL flush(numout)
          ALLOCATE( sf_t_rnf(1), STAT=ierror  )
          IF( ierror > 0 ) THEN
@@ -328,4 +335,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          runoffs salinities read in a file'
+         IF(lwp .AND. lflush) CALL flush(numout)
          ALLOCATE( sf_s_rnf(1), STAT=ierror  )
          IF( ierror > 0 ) THEN
@@ -340,4 +348,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          runoffs depth read in a file'
+         IF(lwp .AND. lflush) CALL flush(numout)
          rn_dep_file = TRIM( cn_dir )//TRIM( sn_dep_rnf%clname )
          IF( .NOT. sn_dep_rnf%ln_clim ) THEN   ;   WRITE(rn_dep_file, '(a,"_y",i4)' ) TRIM( rn_dep_file ), nyear    ! add year 
@@ -380,4 +389,5 @@
          IF(lwp) WRITE(numout,*) '    depth over which runoffs is spread                        rn_dep_max = ', rn_dep_max
          IF(lwp) WRITE(numout,*) '     create (=1) a runoff depth file or not (=0)      nn_rnf_depth_file  = ', nn_rnf_depth_file
+         IF(lwp .AND. lflush) CALL flush(numout)
 
          CALL iom_open( TRIM( sn_rnf%clname ), inum )    !  open runoff file
@@ -433,4 +443,5 @@
          IF( nn_rnf_depth_file == 1 ) THEN      !  save  output nb levels for runoff
             IF(lwp) WRITE(numout,*) '              create runoff depht file'
+            IF(lwp .AND. lflush) CALL flush(numout)
             CALL iom_open  ( TRIM( sn_dep_rnf%clname ), inum, ldwrt = .TRUE., kiolib = jprstlib )
             CALL iom_rstput( 0, 0, inum, 'rodepth', h_rnf )
@@ -470,4 +481,5 @@
          IF(lwp) WRITE(numout,*) '             - set to zero SSS damping       (if ln_ssr=T)'
          IF(lwp) WRITE(numout,*) '             - mixed upstream-centered       (if ln_traadv_cen2=T)'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          CALL rnf_mouth                             ! set river mouth mask
@@ -476,4 +488,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          No specific treatment at river mouths'
+         IF(lwp .AND. lflush) CALL flush(numout)
          rnfmsk  (:,:) = 0._wp
          rnfmsk_z(:)   = 0._wp
@@ -511,4 +524,5 @@
       IF(lwp) WRITE(numout,*) 'rnf_mouth : river mouth mask'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~ '
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       cl_rnfile = TRIM( cn_dir )//TRIM( sn_cnf%clname )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssm.F90	(revision 10774)
@@ -92,4 +92,5 @@
             IF(lwp) WRITE(numout,*)
             IF(lwp) WRITE(numout,*) '~~~~~~~   mean fields initialised to instantaneous values'
+            IF(lwp .AND. lflush) CALL flush(numout)
             zcoef = REAL( nn_fsbc - 1, wp )
             ssu_m(:,:) = zcoef * ub(:,:,1)
@@ -156,4 +157,5 @@
                &                    'at it= ', kt,' date= ', ndastp
             IF(lwp) WRITE(numout,*) '~~~~~~~'
+            IF(lwp .AND. lflush) CALL flush(numout)
             zf_sbc = REAL( nn_fsbc, wp )
             IF(nn_timing == 2)  CALL timing_start('iom_rstput')
@@ -257,4 +259,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
    END SUBROUTINE sbc_ssm_init
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 10774)
@@ -189,4 +189,5 @@
          WRITE(numout,*) '      flag to bound erp term                 ln_sssr_bnd = ', ln_sssr_bnd
          WRITE(numout,*) '      ABS(Max./Min.) erp threshold           rn_sssr_bnd = ', rn_sssr_bnd, ' mm/day'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 10774)
@@ -71,4 +71,5 @@
                WRITE(numout,*) Wave(ntide(jk))%cname_tide, utide(jk), ftide(jk), v0tide(jk), omega_tide(jk)
             END DO
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 10774)
@@ -60,4 +60,5 @@
           WRITE(numout,*) 'tide_init : Initialization of the tidal components'
           WRITE(numout,*) '~~~~~~~~~ '
+          IF(lflush) CALL flush(numout)
        ENDIF
        !
@@ -90,4 +91,5 @@
           WRITE(numout,*) '                                     ln_tide_ramp = ', ln_tide_ramp 
           WRITE(numout,*) '                                     rdttideramp  = ', rdttideramp
+          IF(lflush) CALL flush(numout)
        ENDIF
        IF( ln_tide_ramp.AND.((nitend-nit000+1)*rdt/rday < rdttideramp) )   &
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 10774)
@@ -86,4 +86,5 @@
          WRITE(numout,*) '      optimal coefficient of sor         rn_sor     = ', rn_sor
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
       eps = rn_eps
@@ -100,4 +101,5 @@
       CASE ( 1 )                          ! preconditioned conjugate gradient solver
          IF(lwp) WRITE(numout,*) '   a preconditioned conjugate gradient solver is used'
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF( jpr2di /= 0 .AND. jpr2dj /= 0 )   CALL ctl_stop( ' jpr2di and jpr2dj should be equal to zero' )
          !
@@ -105,4 +107,5 @@
          IF(lwp) WRITE(numout,*) '   a successive-over-relaxation solver with extra outer halo is used'
          IF(lwp) WRITE(numout,*) '   with jpr2di =', jpr2di, ' and  jpr2dj =', jpr2dj
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF( .NOT. lk_mpp .AND. jpr2di /= 0 .AND. jpr2dj /= 0 ) THEN
              CALL ctl_stop( 'jpr2di and jpr2dj are not equal to zero',   &
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 10774)
@@ -1258,4 +1258,5 @@
             WRITE(numout,*) '             model does not use Conservative Temperature'
          ENDIF
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -1272,4 +1273,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          use of TEOS-10 equation of state (cons. temp. and abs. salinity)'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          rdeltaS = 32._wp
@@ -1462,4 +1464,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          use of EOS-80 equation of state (pot. temp. and pract. salinity)'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          rdeltaS = 20._wp
@@ -1662,4 +1665,5 @@
             WRITE(numout,*) '             2nd cabbel. coef.     rn_nu      = ', rn_nu
             WRITE(numout,*) '               Caution: rn_beta0=0 incompatible with ddm parameterization '
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
@@ -1681,4 +1685,5 @@
       IF(lwp) WRITE(numout,*) '          rau0 * rcp                       rau0_rcp = ', rau0_rcp
       IF(lwp) WRITE(numout,*) '          1. / ( rau0 * rcp )           r1_rau0_rcp = ', r1_rau0_rcp
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE eos_init
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 10774)
@@ -223,4 +223,5 @@
          WRITE(numout,*) '      upstream scheme within muscl   ln_traadv_msc_ups = ', ln_traadv_msc_ups
          WRITE(numout,*) '      TVD advection scheme with zts  ln_traadv_tvd_zts = ', ln_traadv_tvd_zts
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -260,4 +261,5 @@
          IF( nadv ==  7 )   WRITE(numout,*) '         TVD ZTS   scheme is used'
          IF( nadv == -1 )   WRITE(numout,*) '         esopa test: use all advection scheme'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 10774)
@@ -139,4 +139,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~ '
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          IF( .NOT. ALLOCATED( upsmsk ) )  THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 10774)
@@ -97,4 +97,5 @@
          IF(lwp) WRITE(numout,*) 'tra_adv_eiv : eddy induced advection on ', cdtype,' :'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   add to velocity fields the eiv component'
+         IF(lwp .AND. lflush) CALL flush(numout)
 # if defined key_diaeiv 
          IF( cdtype == 'TRA') THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 10774)
@@ -306,4 +306,5 @@
          WRITE(numout,*) '      =1 no MLE in case of convection ; =0 always MLE              nn_conv   = ', nn_conv
          WRITE(numout,*) '      Density difference used to define ML for FK              rn_rho_c_mle  = ', rn_rho_c_mle
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -317,4 +318,7 @@
             WRITE(numout,*) '   Mixed Layer Eddy parametrisation NOT used'
          ENDIF
+
+         IF(lflush) CALL flush(numout)
+
       ENDIF
       !
@@ -325,4 +329,5 @@
          IF(lwp) WRITE(numout,*) '      ML buoyancy criteria = ', rb_c, ' m/s2 '
          IF(lwp) WRITE(numout,*) '      associated ML density criteria defined in zdfmxl = ', rho_c, 'kg/m3'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          IF( nn_mle == 0 ) THEN           ! MLE array allocation & initialisation
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 10774)
@@ -99,4 +99,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~'
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 10774)
@@ -84,4 +84,5 @@
          IF(lwp) WRITE(numout,*) 'tra_adv_muscl2 : MUSCL2 advection scheme on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 10774)
@@ -101,4 +101,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       l_trd = .FALSE.
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 10774)
@@ -102,4 +102,5 @@
          IF(lwp) WRITE(numout,*) 'tra_adv_tvd : TVD advection scheme on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
       ENDIF
@@ -383,4 +384,5 @@
          IF(lwp) WRITE(numout,*) 'tra_adv_tvd_zts : TVD ZTS advection scheme on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 10774)
@@ -101,4 +101,5 @@
          IF(lwp) WRITE(numout,*) 'tra_adv_ubs :  horizontal UBS advection scheme on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
